TTS Util
========

*TTS Util* is a utility Android app for synthesising text into audible speech.

[中文Readme](README_CN.md)

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/com.danefinlay.ttsutil/)
[<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt="Get it on Google Play"
     height="80">](https://play.google.com/store/apps/details?id=com.danefinlay.ttsutil)

Features
--------

- Read or create wave files from input text, clipboard text or text files using text-to-speech.
- Configure app-specific text-to-speech settings: engine, voice, pitch and speech rate.
- Custom silence for line endings, sentences, exclamations and questions.
- Text filters for omitting certain text elements from the audio.
- A playback-on-input mode for reading letters and words as they are typed.
- Buttons for retrieving commonly read text.
- Share menu entries and shortcuts for sharing input text to the app.

Requirements
------------
- A device running Android version 4.0.3 or higher.
- A separate Android text-to-speech engine app.

Building
--------

*TTS Util* can be built by importing the project into [Android Studio](https://developer.android.com/studio). It can also be [built from the command-line](https://developer.android.com/studio/build/building-cmdline.html) with Gradle if you don't use Android Studio.

Translations
------------

Currently, this app is available in English and Chinese (Simplified).  The Chinese translation was provided by GitHub user [Mahongyin](https://github.com/1976222027).

Any help in translating this app's resource strings and/or its documentation into other languages would be appreciated.

It should be noted that translation of *TTS Util* resource strings into a given language is not required to read/synthesise text in that language using text-to-speech.  This type of language "support" is handled by the text-to-speech *engine*, not *TTS Util*.

Licence
-------

TTS Util is open source software licensed under the [Apache 2.0](https://www.apache.org/licenses/LICENSE-2.0.html) licence.
